GLS ShipIT 5.0.11 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitDetail Class Reference

## Public Member Functions
String | getTrackID ()
void | setTrackID (String value)
List< String > | getShipmentReference ()
List< String > | getShipmentUnitReference ()
BigDecimal | getWeight ()
void | setWeight (BigDecimal value)
Date | getDeliveryDate ()
void | setDeliveryDate (Date value)
String | getSignature ()
void | setSignature (String value)
ProductType | getProduct ()
void | setProduct (ProductType value)
Consignee | getConsignee ()
void | setConsignee (Consignee value)
Shipper | getShipper ()
void | setShipper (Shipper value)
List< UnitService > | getService ()
List< ShipmentService > | getShipmentService ()
List< TUHistory > | getHistory ()

## Protected Attributes
String | trackID
List< String > | shipmentReference
List< String > | shipmentUnitReference
BigDecimal | weight
Date | deliveryDate
String | signature
ProductType | product
Consignee | consignee
Shipper | shipper
List< UnitService > | service
List< ShipmentService > | shipmentService
List< TUHistory > | history

## Detailed Description

Unit details (of a tracked item)

Java class for UnitDetail complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="UnitDetail">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="TrackID" type="{http://fpcs.gls-group.eu/v1/Common}ReferenceNumber"/>
            <element name="ShipmentReference" type="{http://fpcs.gls-group.eu/v1/Common}CustomerReferenceNumber" maxOccurs="unbounded" minOccurs="0"/>
            <element name="ShipmentUnitReference" type="{http://fpcs.gls-group.eu/v1/Common}CustomerReferenceNumber" maxOccurs="unbounded" minOccurs="0"/>
            <element name="Weight" type="{http://fpcs.gls-group.eu/v1/Common}Weight"/>
            <element name="DeliveryDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
            <element name="Signature" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="Product" type="{http://fpcs.gls-group.eu/v1/Common}ProductType"/>
            <element name="Consignee" type="{http://fpcs.gls-group.eu/v1/Common}Consignee"/>
            <element name="Shipper" type="{http://fpcs.gls-group.eu/v1/Common}Shipper"/>
            <element name="Service" type="{http://fpcs.gls-group.eu/v1/Common}UnitService" maxOccurs="unbounded" minOccurs="0"/>
            <element name="ShipmentService" type="{http://fpcs.gls-group.eu/v1/Common}ShipmentService" maxOccurs="unbounded" minOccurs="0"/>
            <element name="History" type="{http://fpcs.gls-group.eu/v1/Tracking}TUHistory" maxOccurs="unbounded" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 70 of file UnitDetail.java.

## Member Function Documentation

## ◆ getConsignee()

Consignee eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitDetail.getConsignee | ( |  | ) |

Gets the value of the consignee property.

Returns
  possible object is Consignee

Definition at line 288 of file UnitDetail.java.

## ◆ getDeliveryDate()

Date eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitDetail.getDeliveryDate | ( |  | ) |

Gets the value of the deliveryDate property.

Returns
  possible object is String

Definition at line 216 of file UnitDetail.java.

## ◆ getHistory()

List<TUHistory> eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitDetail.getHistory | ( |  | ) |

Gets the value of the history property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the history property.

For example, to add a new item, do as follows:

       getHistory().add(newItem);

Objects of the following type(s) are allowed in the list TUHistory

Definition at line 408 of file UnitDetail.java.

## ◆ getProduct()

ProductType eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitDetail.getProduct | ( |  | ) |

Gets the value of the product property.

Returns
  possible object is ProductType

Definition at line 264 of file UnitDetail.java.

## ◆ getService()

List<UnitService> eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitDetail.getService | ( |  | ) |

Gets the value of the service property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the service property.

For example, to add a new item, do as follows:

       getService().add(newItem);

Objects of the following type(s) are allowed in the list UnitService

Definition at line 350 of file UnitDetail.java.

## ◆ getShipmentReference()

List<String> eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitDetail.getShipmentReference | ( |  | ) |

Gets the value of the shipmentReference property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the shipmentReference property.

For example, to add a new item, do as follows:

       getShipmentReference().add(newItem);

Objects of the following type(s) are allowed in the list String

Definition at line 148 of file UnitDetail.java.

## ◆ getShipmentService()

List<ShipmentService> eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitDetail.getShipmentService | ( |  | ) |

Gets the value of the shipmentService property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the shipmentService property.

For example, to add a new item, do as follows:

       getShipmentService().add(newItem);

Objects of the following type(s) are allowed in the list ShipmentService

Definition at line 379 of file UnitDetail.java.

## ◆ getShipmentUnitReference()

List<String> eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitDetail.getShipmentUnitReference | ( |  | ) |

Gets the value of the shipmentUnitReference property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the shipmentUnitReference property.

For example, to add a new item, do as follows:

       getShipmentUnitReference().add(newItem);

Objects of the following type(s) are allowed in the list String

Definition at line 177 of file UnitDetail.java.

## ◆ getShipper()

Shipper eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitDetail.getShipper | ( |  | ) |

Gets the value of the shipper property.

Returns
  possible object is Shipper

Definition at line 312 of file UnitDetail.java.

## ◆ getSignature()

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitDetail.getSignature | ( |  | ) |

Gets the value of the signature property.

Returns
  possible object is String

Definition at line 240 of file UnitDetail.java.

## ◆ getTrackID()

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitDetail.getTrackID | ( |  | ) |

Gets the value of the trackID property.

Returns
  possible object is String

Definition at line 110 of file UnitDetail.java.

## ◆ getWeight()

BigDecimal eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitDetail.getWeight | ( |  | ) |

Gets the value of the weight property.

Returns
  possible object is String

Definition at line 192 of file UnitDetail.java.

## ◆ setConsignee()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitDetail.setConsignee | ( | Consignee | value | ) |

Sets the value of the consignee property.

Parameters

  value | allowed object is Consignee

Definition at line 300 of file UnitDetail.java.

## ◆ setDeliveryDate()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitDetail.setDeliveryDate | ( | Date | value | ) |

Sets the value of the deliveryDate property.

Parameters

  value | allowed object is String

Definition at line 228 of file UnitDetail.java.

## ◆ setProduct()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitDetail.setProduct | ( | ProductType | value | ) |

Sets the value of the product property.

Parameters

  value | allowed object is ProductType

Definition at line 276 of file UnitDetail.java.

## ◆ setShipper()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitDetail.setShipper | ( | Shipper | value | ) |

Sets the value of the shipper property.

Parameters

  value | allowed object is Shipper

Definition at line 324 of file UnitDetail.java.

## ◆ setSignature()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitDetail.setSignature | ( | String | value | ) |

Sets the value of the signature property.

Parameters

  value | allowed object is String

Definition at line 252 of file UnitDetail.java.

## ◆ setTrackID()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitDetail.setTrackID | ( | String | value | ) |

Sets the value of the trackID property.

Parameters

  value | allowed object is String

Definition at line 122 of file UnitDetail.java.

## ◆ setWeight()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitDetail.setWeight | ( | BigDecimal | value | ) |

Sets the value of the weight property.

Parameters

  value | allowed object is String

Definition at line 204 of file UnitDetail.java.

## Member Data Documentation

## ◆ consignee

Consignee eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitDetail.consignee
| protected

Definition at line 92 of file UnitDetail.java.

## ◆ deliveryDate

Date eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitDetail.deliveryDate
| protected

Definition at line 85 of file UnitDetail.java.

## ◆ history

List<TUHistory> eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitDetail.history
| protected

Definition at line 100 of file UnitDetail.java.

## ◆ product

ProductType eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitDetail.product
| protected

Definition at line 90 of file UnitDetail.java.

## ◆ service

List<UnitService> eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitDetail.service
| protected

Definition at line 96 of file UnitDetail.java.

## ◆ shipmentReference

List<String> eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitDetail.shipmentReference
| protected

Definition at line 75 of file UnitDetail.java.

## ◆ shipmentService

List<ShipmentService> eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitDetail.shipmentService
| protected

Definition at line 98 of file UnitDetail.java.

## ◆ shipmentUnitReference

List<String> eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitDetail.shipmentUnitReference
| protected

Definition at line 77 of file UnitDetail.java.

## ◆ shipper

Shipper eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitDetail.shipper
| protected

Definition at line 94 of file UnitDetail.java.

## ◆ signature

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitDetail.signature
| protected

Definition at line 87 of file UnitDetail.java.

## ◆ trackID

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitDetail.trackID
| protected

Definition at line 73 of file UnitDetail.java.

## ◆ weight

BigDecimal eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitDetail.weight
| protected

Definition at line 81 of file UnitDetail.java.

The documentation for this class was generated from the following file:

- UnitDetail.java